﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Display SCPI Errors VISA
DATE:                  2017-11-16 10:14:48
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 21974 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       53
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Required Equipment:
#        None
#
# This procedure is intended for use with MET/CAL® calibration software;
# the terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Id = LBNEW("Errors")
  1.002  MATH         LBCONF(Id, "-border")

# Display error messages in a list box.
  1.003  DO
  1.004  VISA         SYST:ERR?[I$]

  1.005  MATH         L[1] = FLD(MEM2, 1, ",")

  1.006  IF           L[1] != 0
  1.007  MATH         LBADD(Id, MEM2)
  1.008  ENDIF

  1.009  UNTIL        L[1] == 0

  1.010  MATH         LBSHOW(Id)
  1.011  MATH         LBCLOSE(Id)
  1.012  END
